> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get published courses 

> Get details of all published courses with this API

Rate limit: Maximum 15 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-all-courses
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-all-courses:
    post:
      tags:
        - Course
      summary: 'Get published courses '
      description: |-
        Get details of all published courses with this API

        Rate limit: Maximum 15 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          searchFilter:
                            type: object
                            properties:
                              searchTerm:
                                type: string
                                minLength: 1
                                description: Search term to filter courses
                            required:
                              - searchTerm
                            description: Optional search filter to find specific courses
                          fermionSchoolId:
                            type: string
                            minLength: 1
                            description: Your school ID
                        required:
                          - fermionSchoolId
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                courses:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      fermionCourseId:
                                        type: string
                                        minLength: 1
                                        description: Unique identifier for the course
                                      courseName:
                                        type: string
                                        minLength: 1
                                        description: Name of the course
                                      courseSlug:
                                        type: string
                                        minLength: 1
                                        description: URL-friendly identifier for the course
                                      courseLink:
                                        type: string
                                        format: uri
                                        description: URL to access the course
                                      thumbnailUrl:
                                        type: string
                                        format: uri
                                        description: URL of the course thumbnail image
                                      createdAt:
                                        type: string
                                        description: Timestamp when the course was created
                                      lastUpdatedAt:
                                        type: string
                                        description: >-
                                          Timestamp when the course was last
                                          updated
                                      ratingOutOf10:
                                        type: number
                                        description: Course rating on a scale of 1-10
                                      instructors:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            name:
                                              type: string
                                              description: Name of the instructor
                                            profilePhotoUrl:
                                              type: string
                                              format: uri
                                              description: URL of the instructor's profile photo
                                            longDescriptionMarkdown:
                                              type: string
                                              nullable: true
                                              description: >-
                                                Detailed markdown description of the
                                                instructor
                                            tagline:
                                              type: string
                                              nullable: true
                                              description: Short tagline or title of the instructor
                                          required:
                                            - name
                                            - profilePhotoUrl
                                        description: List of instructors for the course
                                    required:
                                      - fermionCourseId
                                      - courseName
                                      - courseSlug
                                      - courseLink
                                      - thumbnailUrl
                                      - createdAt
                                      - lastUpdatedAt
                                      - ratingOutOf10
                                      - instructors
                                  description: List of published courses
                              required:
                                - courses
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output

````